{% extends "starbase.html" %}
{% load i18n %}
{% load crispy_forms_tags %}

{% block page_title %}
    Sign Up.
{% endblock %}
{% block content %}
    <div class="row">

        <div class="col-md-6 col-md-offset-3">

            <div class="panel panel-default" style="margin-top:2em">
                <div class="panel-heading">
                    <h3 class="panel-title">{% trans "Quick Login" %}</h3>
                </div>
                <div class="panel-body">
                    {% if socialaccount.providers %}
                        <p>{% blocktrans with site.name as site_name %}
                            Click the name of a provider to log in or to sign up.{% endblocktrans %}</p>
                        <div class="socialaccount_ballot">
                            <!-- style="font-size:1.6em;" -->
                            <ul class="socialaccount_providers">
                                {% include "socialaccount/snippets/provider_list.html" with process="login" %}
                            </ul>
                        </div>
                        {% include "socialaccount/snippets/login_extra.html" %}
                    {% endif %}


                    <div>
                        {% blocktrans %}
                            This is used for authentication only.
                            We can't access your timeline, see your friends or post on your behalf.
                        {% endblocktrans %}
                    </div>
                    <div class="login-or" style="margin-top:1em">{% trans "Do you need an account?" %} &raquo;
                        <a role="button" class="btn btn-info" href="{% url 'signup' %}">{% trans "Sign Up Here" %}</a>
                    </div>

                </div>
            </div>
        </div>

        <div class="col-md-6 col-md-offset-3">
            <div class="text-center" style="margin:2em 0em 2em 0em;">
                {% trans "Do you have an email based account? Log in below:" %}
            </div>
        </div>

        <div class="col-md-6 col-md-offset-3">


            <div class="panel panel-default">
                <div class="panel-heading">
                    <h3 class="panel-title">{% trans "Email Login" %}</h3>
                </div>
                <div class="panel-body">

                    <form class="login" method="POST" action="{% url 'account_login' %}">
                        {% csrf_token %}

                        {{ form|crispy }}

                        {% if redirect_field_value %}
                            <input type="hidden" name="{{ redirect_field_name }}" value="{{ redirect_field_value }}"/>
                        {% endif %}

                        <button type="submit" class="btn btn-success">{% trans "Sign In" %} &raquo;</button>

                        <span class="btn btn-default pull-right">
                            <a class="button" href="{% url 'account_reset_password' %}">{% trans "Forgot Password?" %} &raquo;</a>
                        </span>

                    </form>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
